Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#1882 closed Task (worksforme)

Write restart file using XIOS

Reported by: andmirek Owned by: andmirek
Priority: low Milestone: Unscheduled
Component: OCE Version: release-3.6
Severity: minor Keywords:
Cc: Review:
MP ready?:
Progress:

Description

Context

XIOS offers a parallel interface to write the data. This interface can be used to write restart file

Analysis

In NEMO each processor independently writes restart file. As long as model decomposition stays the same this offers an efficient way to write restart. With increasing number of processors this method may be inefficient and put stress on the file system because of the large number of small files opened at the same time. By default XIOS is used to write diagnostic from the model. The same interface may be used to write restart file. The interface would be an addition to the existing functionality, activated through the namelist.

Fix


Commit History (5)

ChangesetAuthorTimeChangeLog
8310andmirek2017-07-10T15:46:25+02:00

#1882 works with AGRIF and few small fixes/changes

8299andmirek2017-07-07T17:33:29+02:00

#1882 no need to define context in iodef.xml

8297andmirek2017-07-07T12:13:34+02:00

#1882 New way of defining what is in restart file

8079andmirek2017-05-26T12:09:41+02:00

#1882 a first working version with XIOS writing restart file. Works with MO suite u-am389

8044andmirek2017-05-18T13:15:49+02:00

#1882 wite restart with xios

Change History (6)

comment:1 Changed 3 years ago by andmirek

First working version of the code committed branches/UKMO/dev_r7573_xios_write: https://forge.ipsl.jussieu.fr/nemo/browser/branches/UKMO/dev_r7573_xios_write.

Regarding restart file, the file is open one time step before the time to write. And on this time step all calls to write subroutines are executed, followed by exactly the same calls on the next time step. In the code in the branch restart is set active on time step on which the restart is written to a file.

comment:2 Changed 3 years ago by andmirek

Restart write is protected with 'if' statement so data is written only 1 time.

For some reason AGRIF compilation fails when 'unit=' is present in call to one of XIOS functions (CALL xios_set_axis_attr( … )). Information about units for vertical grid is set in "long name" value.

comment:3 Changed 3 years ago by clevy

  • Owner changed from nemo to andmirek
  • Type changed from Enhancement to Task

comment:4 Changed 3 years ago by andmirek

  • Resolution set to worksforme
  • Severity set to minor
  • Status changed from new to closed

comment:5 Changed 3 years ago by nemo

  • Keywords Misc. added

comment:6 Changed 3 years ago by nemo

  • Keywords Misc. removed
Note: See TracTickets for help on using tickets.